@charset "utf-8";

:root {
  /* color code */
  --black: #000000;
  --charcoalgray01: #111111;
  --charcoalgray02: #333333;
  --gray: #999999;
  --darkgray: #555555;
  --lightgray01: #f5f5f7;
  --lightgray02: #eeeeee;
  --lightgray03: #d2d2d7;
  --skygray: #cccccc;
  --white: #ffffff;
  --orange: #fc6d26;
  --dark: #171321;

  /* ---------default style--------- */
  --main-bg: var(--white);
  --main-font-color: var(--charcoalgray02);
  --title-color: var(--black);
  --nav-bg-color: var(--white);
  --nav-link-bg: var(--darkgray);
  --nav-link-color: var(--charcoalgray01);
  --nav-open-bg: var(--white);
  --btn-bg-color: var(--orange);
  --btn-font-color: var(--white);
  --btn-font-border: var(--white);
  --footer-bg: var(--dark);
  --footer-title: var(--white);
  --footer-text: var(--white);
  --copyright-line: var(--white);
  --submit-btn-bg: var(--darkgray);
  --submit-btn-color: var(--white);

  --outline-title: var(--black);
  --outline-color: var(--black);
  --outline-bg: var(--lightgray02);
  --outline-wrap: var(--white);
  --outline-table-border: var(--darkgray);
  --outline-table-color: var(--black);

  --topics-bg: var(--white);
  --topics-discription: var(--darkgray);

  --program-bg: var(--lightgray02);

  --faq-border: var(--skygray);
  --faq-color: var(--charcoalgray02);
  --faq-question-icon-bg: var(--charcoalgray02);
  --faq-question-icon-font: var(--white);
  --faq-answer-icon-bg: var(--gray);
  --faq-answer-icon-font: var(--white);

  --registration-privacy-box: var(--white);
  --registration-privacy-title: var(--black);
  --registration-privacy-text: var(--black);
  --registration-flow-bg: var(--white);
  --registration-flow-text: var(--charcoalgray02);
  --registration-flow-circle: var(--skygray);
  --registration-flow-circle-black: var(--black);
  --form-table-bg: var(--white);
  --form-table-color: var(--darkgray);

  --online-login-txt: var(--black);

  --nav-op-btn: var(--black);
  --mypage-border: var(--white);
  --mypage-text: var(--charcoalgray02);
}

/* ---------dark style--------- */
:root[data-theme="dark"] {
  --main-bg: var(--black);
  --main-font-color: var(--white);
  --title-color: var(--white);
  --nav-bg-color: var(--black);
  --nav-link-color: var(--white);
  --nav-open-bg: var(--black);
  --btn-bg-color: var(--white);
  --btn-font-color: var(--black);
  --btn-font-border: var(--white);
  --footer-bg: var(--black);
  --footer-title: var(--white);
  --footer-text: var(--white);
  --copyright-line: var(--white);
  --submit-btn-bg: var(--white);
  --submit-btn-color: var(--black);

  --outline-title: var(--black);
  --outline-color: var(--black);
  --outline-bg: var(--black);
  --outline-wrap: var(--white);
  --outline-table-border: var(--darkgray);
  --outline-table-color: var(--black);

  --topics-bg: var(--white);
  --topics-discription: var(--darkgray);

  --program-bg: var(--black);

  --faq-border: var(--white);
  --faq-color: var(--white);
  --faq-question-icon-bg: var(--white);
  --faq-question-icon-font: var(--black);
  --faq-answer-icon-bg: var(--gray);
  --faq-answer-icon-font: var(--white);

  --registration-privacy-box: var(--white);
  --registration-privacy-title: var(--black);
  --registration-privacy-text: var(--black);
  --registration-flow-bg: var(--black);
  --registration-flow-text: var(--white);
  --registration-flow-circle: var(--skygray);
  --registration-flow-circle-black: var(--black);
  --form-table-bg: var(--white);
  --form-table-color: var(--darkgray);

  --nav-op-btn: var(--white);
  --mypage-input: var(--black);
  --mypage-border: var(--black);
  --mypage-text: var(--white);
}

html {
  min-width: 1140px;
}
.wrap {
  width: 1100px;
  margin: 0 auto;
  box-sizing: border-box;
  max-width: 100%;
}
@media only screen and (max-width: 1140px) {
  .wrap {
    margin: 0 20px;
  }
}
@media only screen and (max-width: 768px) {
  .wrap {
    margin: 0 auto;
  }
}

/* font */
body {
  font:
    13px/1.231 "Helvetica Neue",
    Verdana,
    "メイリオ",
    Meiryo,
    "Hiragino Kaku Gothic ProN",
    "游ゴシック",
    YuGothic,
    "ヒラギノ角ゴ ProN W3",
    sans-serif;
  color: var(--main-font-color);
  background: var(--main-bg);
}
select,
input,
button,
textarea,
button {
  font:
    13px/1.231 "Helvetica Neue",
    Verdana,
    "メイリオ",
    Meiryo,
    "Hiragino Kaku Gothic ProN",
    "游ゴシック",
    YuGothic,
    "ヒラギノ角ゴ ProN W3",
    sans-serif;
  color: var(--main-font-color);
  font-weight: 300;
  line-height: 1.5;
}
pre {
  font:
    13px/1.231 "Helvetica Neue",
    Verdana,
    "メイリオ",
    Meiryo,
    "Hiragino Kaku Gothic ProN",
    "游ゴシック",
    YuGothic,
    "ヒラギノ角ゴ ProN W3",
    sans-serif;
  color: var(--main-font-color);
  white-space: pre-wrap;
}
em {
  font-style: normal;
}

/* placeholder */
:placeholder-shown {
  color: #bfbfbf;
  opacity: 1;
}

h2 {
  font-size: 28px;
  font-weight: bold;
  line-height: 1;
  color: var(--title-color);
  position: relative;
  text-align: center;
  margin: 0 0 50px 0;
  padding: 0;
}
h2:before {
  content: "";
  display: block;
  width: 178px;
  height: 2px;
  background: var(--title-color);
  position: absolute;
  top: 38px;
  left: 50%;
  transform: translateX(-50%);
}
h2.password:before {
  width: 300px;
}
h2.session:before {
  width: 230px;
}
h2.confirm:before {
  width: 330px;
}
h2.completed:before {
  width: 290px;
}
h2.cancel:before {
  width: 290px;
}
h2.download:before {
  width: 260px;
}
h2.online:before {
  width: 240px;
}
h2 > span {
  font-size: 16px;
  display: block;
  margin-top: 20px;
}
main a {
  color: #00e;
}
main a:hover {
  text-decoration: underline;
}
main a:visited {
  color: #708;
}

/* for fixed footer */
body,
div.body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
}

/* main */
main {
  padding: 0;
  flex-grow: 1;
}

footer {
  position: relative;
  margin-top: auto;
  min-width: 1100px;
}

/* title2 */
header div.title2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  color: #ffffff;
  text-align: center;
  min-width: 1100px;
  margin: 0 auto;
  padding: 68px 0 0;
  text-align: center;
}
header div.title2 h1 {
  font-size: 32px;
  font-weight: bold;
  line-height: 1;
  margin: 0;
  border: none;
  padding: 0;
  width: 100%;
}
header div.title2 h1 img {
  width: 100%;
  height: auto;
  image-rendering: -webkit-optimize-contrast;
}

/* nav */
nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 12px 0;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background: var(--nav-bg-color);
  z-index: 5000;
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.15);
}
nav .wrap {
  max-width: 1100px;
  width: 1100px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
}
nav .wrap > img {
  display: block;
}

nav .logo,
nav ul {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}
nav .logo {
  margin: 0 20px;
}
nav .logo .main-logo img {
  width: 115px;
}
nav ul {
  margin: 0 20px 0 0;
}
nav ul li {
  margin-right: 40px;
  white-space: nowrap;
}
nav ul li.mypage,
nav ul li.online,
nav ul li.registration {
  margin-right: 10px;
  width: 135px;
}
nav ul li.mypage a,
nav ul li.online a,
nav ul li.registration a {
  display: block;
  width: 100%;
  text-align: center;
}
nav ul li:last-child {
  margin-right: 0;
}
nav ul li > a {
  color: var(--nav-link-color);
  font-size: 14px;
  line-height: 24px;
  font-weight: bold;
}
nav ul li > a:hover {
  opacity: 0.7;
}
nav ul .register-btn a {
  color: #fff;
  line-height: 1;
  background: #0f4b8f;
  border: 2px solid #0f4b8f;
  padding: 15px 17px;
  display: inline-block;
}
nav ul .register-btn a:hover {
  color: #0f4b8f;
  background: #fff;
}
nav .nav-op-btn {
  display: none;
}
nav .sp_registration {
  display: none;
}

/* box-button */
a.box-button,
a.box-button:visited {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  color: var(--btn-font-color);
  background-color: var(--btn-bg-color);
  border: 2px solid var(--btn-font-color);
  padding: 8px 24px;
  border-radius: 4px;
  box-sizing: border-box;
  transition: all 300ms ease;
}
a.box-button.online {
  padding: 8px 16px;
}
a.box-button:hover {
  color: var(--btn-bg-color);
  background-color: var(--btn-font-color);
  text-decoration: none;
  border-color: var(--btn-bg-color);
  opacity: 1;
}

/* submit */
.submit {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 80px 0;
}
.submit li {
  display: inline-block;
}
.submit li input {
  width: 200px;
  height: 60px;
  border: none;
  cursor: pointer;
  margin: 0 20px;
  color: var(--submit-btn-color);
  font-weight: bold;
  font-size: 25px;
  border-radius: 4px;
  background-color: var(--submit-btn-bg);
  border: 2px solid var(--submit-btn-bg);
  transition: all 300ms ease;
  outline: none;
}
.submit li input:hover {
  color: #555;
  background-color: #fff;
}
.submit li input:disabled {
  opacity: 0.6;
  cursor: auto;
}
.submit li input:disabled:hover {
  color: #fff;
  background-color: #555;
}

.external {
  background: url(../images/common/icon_external.png) no-repeat right center;
  padding: 0 20px 0 0;
}

/* footer */
footer {
  width: 100%;
  background: var(--footer-bg);
}
footer .wrap {
  margin: 0 auto;
  padding: 24px 0;
}

footer .wrap ul {
  text-align: right;
  margin-bottom: 20px;
}

footer .wrap ul li {
  display: inline;
  line-height: 1;
  border-left: 1px solid #000000;
  padding-left: 14px;
  margin-left: 10px;
}

footer .wrap ul li:first-child {
  border-left: none;
}

footer .wrap ul li a {
  color: #000000;
  text-decoration: none;
}

footer .wrap ul li a:hover {
  color: #777777;
}

footer .wrap dl {
  overflow: hidden;
  text-align: center;
}

footer .wrap dl dt {
  font-size: 28px;
  font-weight: bold;
  margin: 0px auto 24px;
  line-height: 1.5;
  color: var(--footer-title);
}
footer .wrap dl dt span {
  display: block;
  font-size: 16px;
  border-top: 2px solid;
  line-height: 2;
}
footer .wrap dl dd {
  margin: 0;
  font-size: 16px;
  line-height: 1.7;
  color: var(--footer-text);
}

footer .wrap dl dd p a,
footer .wrap dl dd a {
  color: var(--footer-text);
}

footer .wrap dl dd p a:hover,
footer .wrap dl dd a:hover {
  text-decoration: underline;
}
footer .wrap .office-time {
  font-size: 14px;
  margin: 4px 0;
}
footer .copy {
  font-size: 12px;
  margin-top: 24px;
  text-align: center;
  border-top: 1px solid var(--copyright-line);
  padding: 16px 0 0 0;
  color: var(--footer-text);
}
.ime-off {
  ime-mode: disabled;
}
.ime-on {
  ime-mode: active;
}
.sp {
  display: none;
}

/* info */
.info {
  font-size: 11px;
}
.message {
  padding: 32px 0;
  text-align: center;
}
.thanks_topbtn {
  width: 300px;
  margin: 20px auto;
  max-width: 85%;
}
.thanks_topbtn a,
.thanks_topbtn a:visited {
  display: block;
  width: 100%;
  text-align: center;
  padding: 20px 0;
  color: var(--submit-btn-color);
  background: var(--submit-btn-bg);
  border-radius: 10px;
  font-weight: bold;
  font-size: 16px;
}

.thanks_topbtn a:hover {
  text-decoration: none;
  opacity: 0.7;
}
